import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { SendProjectSessionActionRequestFilterSensitiveLog, } from "../models/models_0";
import { de_SendProjectSessionActionCommand, se_SendProjectSessionActionCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class SendProjectSessionActionCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSGlueDataBrew", "SendProjectSessionAction", {})
    .n("DataBrewClient", "SendProjectSessionActionCommand")
    .f(SendProjectSessionActionRequestFilterSensitiveLog, void 0)
    .ser(se_SendProjectSessionActionCommand)
    .de(de_SendProjectSessionActionCommand)
    .build() {
}
